List your assets
curl --request GET \
--url https://partners-api.sandbox.securitize.io/corporate-actions/v1/assets \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partners-api.sandbox.securitize.io/corporate-actions/v1/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://partners-api.sandbox.securitize.io/corporate-actions/v1/assets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"assetId": "c0a8e2f4-1b3d-4e5f-8a9b-0c1d2e3f4a5b",
"name": "Apple Inc. CET",
"underlying": {
"issuerName": "Apple Inc.",
"ticker": "AAPL",
"isin": "US0378331005",
"mic": "XNAS",
"lei": "HWUPKR0MPOU8FGXBT394"
},
"status": "ACTIVE",
"deployments": [
{
"tokenId": "7f3b2c10-5d4e-4a6b-9c8d-1e2f3a4b5c6d",
"chainId": "eip155:196",
"contractAddress": "0x5ec0a3f1c9d84b27e6f0a1b2c3d4e5f6a7b8c9d0",
"decimals": 18,
"status": "ACTIVE"
}
],
"createdAt": "2026-09-01T12:00:00.000Z",
"updatedAt": "2026-10-12T09:30:00.000Z"
}
]
}{
"error": "UNAUTHORIZED",
"message": "Missing or unknown partner identity",
"statusCode": 401
}Assets
List your assets
Every CET you hold at least one token of, each with your deployments only. With chainId, only the deployments on that chain, and only the assets that have one there.
GET
/
assets
List your assets
curl --request GET \
--url https://partners-api.sandbox.securitize.io/corporate-actions/v1/assets \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partners-api.sandbox.securitize.io/corporate-actions/v1/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://partners-api.sandbox.securitize.io/corporate-actions/v1/assets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"assetId": "c0a8e2f4-1b3d-4e5f-8a9b-0c1d2e3f4a5b",
"name": "Apple Inc. CET",
"underlying": {
"issuerName": "Apple Inc.",
"ticker": "AAPL",
"isin": "US0378331005",
"mic": "XNAS",
"lei": "HWUPKR0MPOU8FGXBT394"
},
"status": "ACTIVE",
"deployments": [
{
"tokenId": "7f3b2c10-5d4e-4a6b-9c8d-1e2f3a4b5c6d",
"chainId": "eip155:196",
"contractAddress": "0x5ec0a3f1c9d84b27e6f0a1b2c3d4e5f6a7b8c9d0",
"decimals": 18,
"status": "ACTIVE"
}
],
"createdAt": "2026-09-01T12:00:00.000Z",
"updatedAt": "2026-10-12T09:30:00.000Z"
}
]
}{
"error": "UNAUTHORIZED",
"message": "Missing or unknown partner identity",
"statusCode": 401
}